diff --git a/.zlogout b/.zlogout
index 80f76ab..d48ecab 100644
--- a/.zlogout
+++ b/.zlogout
@@ -1,4 +1,3 @@
-echo .zlogout: $PROMPT
 if [[ -a ~/Dont_forget ]]
 then
 	less ~/Dont_forget
diff --git a/.znewterm b/.znewterm
index bdb635b..fb74ece 100644
--- a/.znewterm
+++ b/.znewterm
@@ -23,10 +23,17 @@ fi
 if [[ .$TERM. = .xterm. ]]
 then
 	prompt="%{]0;%m(%l)%n %~%}$SHLVL.%h%# "
-	export REMOTEHOST=`
-		who -muR |
-		tr -s ' ' '	' |
-		cut -f 8 | cut -d : -f 1`
+	if test "`uname`" = Linux
+	then
+	    export REMOTEHOST=`
+		    who am i |
+		    sed -e 's/.*(\(.*\)).*/\1/'`
+	else
+	    export REMOTEHOST=`
+		    who -muR |
+		    tr -s ' ' '	' |
+		    cut -f 8 | cut -d : -f 1`
+	fi
 	if [[ -z "$DISPLAY" ]]
 	then
 		export DISPLAY=${REMOTEHOST}:0.0
diff --git a/.zshenv b/.zshenv
index aead530..dd08dae 100644
--- a/.zshenv
+++ b/.zshenv
@@ -62,4 +62,12 @@ done
 export PATH=$NEW_PATH
 export LANG=american.iso88591
 export LC_COLLATE=american.iso88591@nofold
-export TZ=MET-1MESZ
+if test "`uname`" = HP-UX
+then
+    # need to set that explicitely on HP-UX. MESZ isn't standard, so
+    # I do it ONLY on HP-UX
+    export TZ=MET-1MESZ
+fi
+export PAGER=less
+export XAUTHORITY=$HOME/.Xauthority
+export CVSROOT=/nfs/wsrdb/usr/local/src/master
